
#include <oslib/oslib.h>


PSP_MODULE_INFO("Devslib Sample", 0, 1, 1);
PSP_MAIN_THREAD_ATTR(THREAD_ATTR_USER | THREAD_ATTR_VFPU);




int main(int argc, char* argv[])
{


	//Initialisation
	oslInit(0);							//la lib
	oslInitGfx(OSL_PF_8888, 1);			//Gfx
	oslInitAudio();						//Sound



	while (!osl_quit)
	{
		oslStartDrawing();
		//efface l'ecran en blanc :)
		oslClearScreen (RGB(200, 200, 200));
		//la c'est j'uste pour l'occaz pour etre sure que l'ecran et bien blanc dans la ram :)
		oslSynchronization();
		oslReadKeys();

		oslSetMessagebox(OSL_MESSAGEB_SIMPLE );
		oslMessageBox  ( "ici le texte que vous voulez afficher ou les debug ou warning ou quoi que ce soient d'autre....",  "titre de la fenetre",  oslMake3Buttons(OSL_KEY_CROSS, OSL_MB_OK, OSL_KEY_CIRCLE, OSL_MB_CANCEL, 0, 0));

		oslClearScreen (RGB(200, 200, 200));
		oslSynchronization();

		oslSetMessagebox(OSL_MESSAGEB_CUSTOM );
		oslMessageBox  ( "ici le texte que vous voulez afficher ou les debug ou warning ou quoi que ce soient d'autre....",  "titre de la fenetre",  oslMake3Buttons(OSL_KEY_CROSS, OSL_MB_OK, OSL_KEY_CIRCLE, OSL_MB_CANCEL, 0, 0));


		oslClearScreen (RGB(0, 0, 0));
		oslSynchronization();

		oslSetMessagebox(OSL_MESSAGEB_LIGHT );
		oslMessageBox  ( "ici le texte que vous voulez afficher ou les debug ou warning ou quoi que ce soient d'autre....",  "titre de la fenetre",  oslMake3Buttons(OSL_KEY_CROSS, OSL_MB_OK, OSL_KEY_CIRCLE, OSL_MB_CANCEL, 0, 0));
	
		//efface l'ecran en blanc :)
		oslClearScreen (RGB(200, 200, 200));
		//on synchronise l'affichage
		oslSynchronization();
		oslExplorerBox("Explorateur de Fichier Non Fonctionnel", NULL);

		if (osl_keys->pressed.start)break;

		oslSynchronization();

	}

	oslEndGfx();
	oslQuit();
	return 0;
}



